Bug 74045 - SLIDESHOW: ImageMap hyperlink doesn't work
Summary: SLIDESHOW: ImageMap hyperlink doesn't work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Hyperlink
  Show dependency treegraph
 
Reported: 2014-01-25 09:50 UTC by Owen Genat (retired)
Modified: 2019-08-27 19:59 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example ODP, ImageMap, bitmap, and control test (text hyperlink). (1.71 MB, application/zip)
2014-01-25 09:50 UTC, Owen Genat (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Genat (retired) 2014-01-25 09:50:48 UTC
Created attachment 92763 [details]
Example ODP, ImageMap, bitmap, and control test (text hyperlink).

Problem description: This is an LO report for a corresponding old Apache OO issue (#59547). Essentially hyperlinks created in an ImageMap only work while editing the presentation, but not in Slide Show mode.

Steps to reproduce: 
1. Start Impress (empty document).
2. Insert > Picture > From File, select and insert a bitmap picture.
3. With the picture selected, choose Edit > ImageMap. This displays the ImageMap Editor.
4. Insert a rectangle (hotspot), over part of the image.
5. Enter the "Address" URL for when the user clicks the hotspot.
6. Optionally, enter the "Text" that will be shown as a tip when the user points the mouse to the hotspot.
7. Click the Apply button. 
8. Click Save button (to save the imagemap) and close the ImageMap Editor.
9. Save the presentation.
10. Enter Slide Show (F5).

Current behavior: Hotspot in imagemap is not clickable.

Expected behavior: Hotspot in imagemap IS clickable.

Tested under Ubuntu 10.04 x86_64 running:

- v3.3.0.4 OOO330m19 Build: 6
- v3.4.6.2 OOO340m1 Build: 602
- v3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b
- v3.6.7.2 Build ID: e183d5b
- v4.0.6.2 Build ID: 2e2573268451a50806fcd60ae2d9fe01dd0ce24
- v4.1.4.2 Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72

All versions display identical behaviour.
Comment 1 Owen Genat (retired) 2014-01-25 09:56:47 UTC
Apache OO issue added to See Also list. According to the comment by acknak here:

https://forum.openoffice.org/en/forum/viewtopic.php?f=10&t=30153

> It is possible to work around [this bug] by drawing actual graphic shapes over 
> the image, then adding an interaction to each of them: "Go to page or object".
> That works, but it has a couple of not-so-helpful features. First, if the shape 
> is completely invisible, clicks on it are not registered. So you have to fill 
> the shape with some color and then make it 99% transparent.
> Second, the interaction does not provide the normal tooltip when the mouse 
> hovers over the shape. The cursor changes shape, but there's no indication of 
> what will happen if you click there.

I think it is QA policy to auto-confirm existing Apache OO issues, but I will leave this for another to confirm, just in case.
Comment 2 Regina Henschel 2014-01-26 21:12:57 UTC
In OOo1.1.5 the cursor changes to a pointer, but the hyperlink does not work in OOo1.1.5 too. So it seems, that it has never worked.

It does not work in the "Window" mode of the presentation too. The error is not restricted to full screen mode.
Comment 3 Joel Madero 2015-05-02 15:41:57 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-20 14:31:43 UTC
Repro.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 schatten68 2017-11-29 16:27:35 UTC Comment hidden (no-value)
Comment 6 ace_dent 2018-02-09 21:48:21 UTC
Reproduced.

Version: 5.4.1.2
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
Locale: en-GB (en_GB.UTF-8); Calc: group
Comment 7 QA Administrators 2019-02-10 03:44:03 UTC Comment hidden (obsolete)
Comment 8 schatten68 2019-02-12 14:49:24 UTC
bug is reproduced von 6.2.0 (linux - Opensuse)
Comment 9 Commit Notification 2019-08-27 19:59:29 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ae94ed1ffca7ec7fa86f3fd650dbee74db0565d6%5E%21

tdf#74045 Make ImageMaps in slideshow clickable

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.